.controls {
  display: flex;
  gap: 40px;
  justify-content: flex-start;
  padding: 10px 40px;

  &__input {
    flex: 1 1 100px;
    max-width: 300px;

    &:last-of-type {
      flex-grow: 2;
      max-width: 100%;
    }
  }
}

.input {
  $this: &;
  display: flex;
  flex-direction: column;

  &__control {
    text-align: center;
  }

  &__label {
    text-align: center;
  }

  &__error {
    display: none;
    color: red;
  }

  &_invalid {
    #{$this}__control, #{$this}__label {
      color: red;
      border-color: red;
    }

    #{$this}__error {
      display: inline;
    }
  }
}
